- Qt 5.15
- Qt Labs Platform
- QML Types
- Obsolete Members for MenuItem
- Qt 5.15.18 Reference Documentation

# Obsolete Members for MenuItem

The following members of QML type MenuItem are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- iconName : string`(obsolete)`
- iconSource : url`(obsolete)`

## Property Documentation

iconName : string

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use icon.name instead

iconSource : url

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use icon.source instead